# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_站点管理,31,31-11,sit,bs
主数据平台:后台运营系统站点列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import random
import requests
import json

module = "cmdc_31st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取站点列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url7")
request_body = commonFuc().get_business_data(module, "payload7")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 生成随机数
website_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取站点信息
website_name = result["data"]["list"][website_random]["websiteName"]
order_apportion_principle = result["data"]["list"][website_random]["orderApportionPrinciple"]
company_name = result["data"]["list"][website_random]["companyName"]
company_type = result["data"]["list"][website_random]["companyType"]

# 第三步进行条件查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url8")
request_body = commonFuc().get_business_data(module, "payload8", website_name, order_apportion_principle, company_name,
                                             company_type)

"""

 场景: 验证站点管理列表查询条件可使用性
 用例名称：查询条件验证_站点管理
 输出：{"websiteName":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取查询结果中websiteName
result = json.loads(result.content)
result = {"websiteName": result["data"]["list"][0]["websiteName"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict8",website_name)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
