# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取仓库信息,32,32-31,sit,bs
主数据平台:后台运营系统获取仓库信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import random
import requests
import json

module = "cmdc_32st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_102")
password = commonFuc().get_business_data(module, "password_102")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步电商配货列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_dis")
request_body = commonFuc().get_business_data(module, "payload_dis")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
super_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取配货信息信息
distributionCode = result["data"]["list"][super_random]["distributionCode"]

# 第三步获取仓库信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url31")
request_body = commonFuc().get_business_data(module, "payload31", distributionCode)
# print(request_body)
"""
 场景: 获取仓库信息
 用例名称：获取仓库信息
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict31")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)


