# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc任务年份排序功能验证_销售任务报表列表_升序,34,34-39,sit,be
主数据平台:后台运营系统获取销售任务报表列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_34st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_do_be")
password = commonFuc().get_business_data(module, "password_do_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步按任务年份升序排列
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url39")
request_body = commonFuc().get_business_data(module, "payload39")

"""

 场景: 任务年份排序功能验证_销售任务报表列表_升序
 用例名称：任务年份排序功能验证_销售任务报表列表_升序
 输出：{"taskName":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取销售任务报表信息
result = json.loads(result.content)
result = {"taskName": result["data"]["list"][0]["taskName"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db_be")

# 在数据库中按年份升序查询对应的任务信息
sql = "select taskName from (SELECT taskYear, taskName FROM tc_suppliersale_task_detail std " \
      "LEFT JOIN tc_suppliersale_task st ON st.supplierSaleTaskId = std.supplierSaleTaskId " \
      "WHERE (std.dataType = 1 OR std.dataType = 2) " \
      "AND deleteSign = 0 " \
      "AND useSign = 1 " \
      "AND st.filialeCode = '00102') t order by taskYear asc"
taskName = mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]


# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict39", taskName)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
