# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc草稿订单删除功能验证_代客下单,2295,2295-53,sit,bs
主数据平台:后台运营系统草稿订单删除接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取草稿列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url51")
request_body = commonFuc().get_business_data(module, "payload51")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
user_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取草稿信息
order_id = result["data"]["list"][user_random]["id"]

# 第三步进行草稿订单删除操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url53")
request_body = commonFuc().get_business_data(module, "payload53", order_id)

"""

 场景: 验证代客下单草稿订单删除功能是否可以正常使用
 用例名称：草稿订单删除功能验证_代客下单
 输出：{"success":true,"code":"200","message":"OK","data":true}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict53")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
