# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取终端流向详情,2295,2295-65,sit,bs
主数据平台:后台运营系统获取终端流向详情接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取终端流向列表信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url60")
request_body = commonFuc().get_business_data(module, "payload60")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
flow_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取终端流向信息
demand_code = result["data"]["list"][flow_random]["demandCode"]
invoice_no = result["data"]["list"][flow_random]["invoiceNo"]
delete_sign = result["data"]["list"][flow_random]["deleteSign"]
flow_id = result["data"]["list"][flow_random]["flowId"]

# 第三步获取终端流向详情信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url65")
request_body = commonFuc().get_business_data(module, "payload65", demand_code, invoice_no, delete_sign, flow_id)
"""

 场景: 获取终端流向详情
 用例名称：获取终端流向详情
 输出：{"demandCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取终端流向详情中信息
result = json.loads(result.content)
result = {"demandCode": result["data"][0]["demandCode"]}
# 将接口响应时间添加至结果中
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict65", demand_code)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
