# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc详细地址查询验证_收货地址列表_代客下单,2295,2295-41,sit,bs
主数据平台:后台运营系统获取收货地址列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取客户信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url33")
request_body = commonFuc().get_business_data(module, "payload33")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
customer_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取客户信息
user_id = result["data"]["list"][customer_random]["userId"]
company_id = "7"

# 第三步获取收货地址列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url37")
request_body = commonFuc().get_business_data(module, "payload37", company_id, user_id)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
if result["data"]["addresses"]["list"]:
    # 获取收货人手机号
    address = result["data"]["addresses"]["list"][0]["address"][:7]
    print(address)
    # 通过收货详细地址在收货地址列表进行模糊查询
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url40")
    request_body = commonFuc().get_business_data(module, "payload40", company_id, user_id, address)
    # 发送请求
    result = requests.post(url, json=request_body, headers=headers)
    # 获取接口响应时间
    api_time = float(result.elapsed.total_seconds())
    # 获取查询结果中收货地址中详细收货地址
    result = json.loads(result.content)
    result = {"address": result["data"]["addresses"]["list"][0]["address"][:7]}
    print(result)
    # 将接口响应时间添加至结果中
    result["api_time"] = api_time
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict40", address)
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)

"""
 场景: 详细地址查询验证_收货地址列表_代客下单
 用例名称：详细地址查询验证_收货地址列表_代客下单
 输出：{"address":"%s"}
"""
