# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc审核拒绝验证_返利审核,2271,2271-22,sit,bs
主数据平台:后台运营系统返利审核列表查询、返利审核接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_rebate"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取返利审核列表信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url8")
request_body = commonFuc().get_business_data(module, "payload8_2")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取待审核数据
rebate_id = result["data"]["list"][0]["rebateid"]

# 审核拒绝状态
audit_status = 103
# 审核节点：一级审核
audit_level = 2

# 第三步进行条件查询验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url10")
request_body = commonFuc().get_business_data(module, "payload10_2", rebate_id, audit_status, audit_level)

"""
 场景: 验证返利审核页面审核拒绝功能是否可以正常使用
 用例名称：审核拒绝验证_返利审核
 输出：{"auditstatus":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询返利规则审核状态
sql = "SELECT t.auditStatus FROM `cmdc-order`.tc_rebate t WHERE rebateId = {}".format(rebate_id)
result = {"auditstatus": mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]}
result["api_time"] = api_time
# 一级审核通过状态变为审核拒绝
audit_status = 103
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict10", audit_status)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
