# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取关联单据图信息_发货单详情,2294,2294-31,sit,bs
主数据平台:后台运营系统获取关联单据图信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_trade"

# 第一步登录后台运营系统获取token信息
username = commonFuc().get_business_data(module, "username4")
password = commonFuc().get_business_data(module, "password4")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取发货单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url25")
request_body = commonFuc().get_business_data(module, "payload25")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
out_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取发货单信息
demandCode = result["data"]["list"][out_random]["demandCode"]

# 第二步获取关联单据图信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url29")
request_body = commonFuc().get_business_data(module, "payload29", demandCode)

"""

 场景: 验证获取关联单据图信息接口连通性和数据正确性
 用例名称：获取关联单据图信息_发货单详情
 输出：{"demandCode":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)

# 获取关联单据中demandCode
result = {"demandCode": result["data"]["nodes"][0]["demandCode"]}

result["api_time"] = api_time
# print(result)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict29", demandCode)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
