# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_公司基础配置列表,2256,2256-35,sit,be
主数据平台:后台运营系统获取公司基础配置信息接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_website"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_beta")
password = commonFuc().get_business_data(module, "password_beta")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取公司基础配置信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url34")
request_body = commonFuc().get_business_data(module, "payload34")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
company_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取公司配置信息
companyCode = result["data"]["list"][company_random]["companyCode"]
companyName = (result["data"]["list"][company_random]["companyName"] if result["data"]["list"][company_random][
    "companyName"] else "")
settlementType = result["data"]["list"][company_random]["settlementType"]
payMerchantNo = result["data"]["list"][company_random]["payMerchantNo"]
siteType = (
    result["data"]["list"][company_random]["siteType"] if result["data"]["list"][company_random]["siteType"] else "")
affiliationCode = (result["data"]["list"][company_random]["affiliationCode"] if siteType == 2 else "")

# 第三步进行列表查询条件核验
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url35")
request_body = commonFuc().get_business_data(module, "payload35", companyCode, companyName, settlementType,
                                             payMerchantNo,
                                             siteType, affiliationCode)

"""
 场景: 列表查询条件验证_公司基础配置列表
 用例名称：列表查询条件验证_公司基础配置列表
 输出：{"companyCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取公司配置信息
result = json.loads(result.content)
result = {"companyCode": result["data"]["list"][0]["companyCode"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict35", companyCode)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
